/*
 * $Id: fe.h,v 1.4 2001/03/04 05:23:52 andy Exp $
 *
 * Copyright  2000, A.Newman.
 * All Rights Reserved.
 */

void		restart_program(void);
void		ask_restart_program(void);
void		file_open(const char *);
void		remember_args(char **);
char		**get_remembered_args(void);
int		do_dialog(int, const char *, const char *, ...);
int		get_dialog_state(void);
void		enable_buttons(int, int, int);
void		update_scope_view(void);
void		scope_view_up(void);
void		scope_view_down(void);
void		update_stack_frames(void);

/*
 * $Log: fe.h,v $
 * Revision 1.4  2001/03/04 05:23:52  andy
 * Better scope handling - use clist titles as up/down buttons
 * for scope traversal (still need to handle aggregates usefully).
 * Step-out working, and handling errors working better. Getting
 * there slowly but surely.
 *
 * Revision 1.3  2001/03/04 01:09:30  andy
 * Scope/stack display and button toggling depending upon child state.
 *
 * Revision 1.2  2001/02/26 20:54:02  andy
 * Moved fwidget() to main.c.  Use file cache routines.
 *
 * Revision 1.1  2001/02/24 22:32:21  andy
 * Bring up to date.  Add start of Gtk front-end.
 * Add generic backend debugger process.
 *
 */
