/*
 * $Id: gicid.h,v 1.7 2001/03/04 05:23:50 andy Exp $
 *
 * Copyright (C) 2001.   A.Newman.
 * All Rights Reserved.
 *
 */

#ifndef GICID_GICID_H
#define	GICID_GICID_H

enum
{
    /* Requests, sent from parent to child when child is stopped */
    SET_BREAKPOINT_CMD	= 'b',
    CONTINUE_CMD	= 'c',
    FINISH_FUNC_CMD	= 'f',
    STEP_OVER_CMD	= 'n',
    PRINT_VALUE_CMD	= 'p',
    QUIT_CMD		= 'q',
    SINGLE_STEP_CMD	= 's',
    SET_WATCHPOINT_CMD	= 'W',
    WHERE_CMD		= 'w',
    GET_SCOPE_CMD	= 'G',
    SET_SCOPE_CMD	= 'S',
    SCOPE_UP_CMD	= 'U',
    FETCH_CMD		= 'F',
    ASSIGN_CMD		= 'A',
    SCOPE_KEYS_CMD	= 'K',

    /* Replies, sent from child to parent */
    STOPPED		= 'S',
    PROGRAM_EXIT	= 'X',
    INTERNAL_ERROR	= '!',
    USER_ERROR		= '?',
    BROKEN_PROGRAM	= 'B',
    PROGRAM_FINISHED	= 'F',
    BREAKPOINT_HIT	= 'H',
    WATCHPOINT_HIT	= 'W',
    PROGRAM_ERROR	= 'E',
    STACK_FRAME		= 'F',
    SCOPE		= 'V',
    FETCHED_VALUE	= '=',
    SCOPE_KEYS		= 'K',
    OKAY		= 'o',
    NOT_OKAY		= 'n',
    RETURNED_VALUE	= 'R',
};

#endif /* #ifndef GICID_GICID_H */
